using System;
using System.Collections.Generic;
using System.Text;
using VT.FW.DB;

namespace Edu.Model.Entity.System
{
    /// <summary>
    /// 系统菜单消息（气泡）实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Menu_Information
    {
        /// <summary>
        /// 主键
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 菜单Id
        /// </summary>        
        public int? MenuId
        {
            get;
            set;
        }
        /// <summary>
        /// 消息类型   1销售，1-教学，3-留学与就业，4-行政
        /// </summary>        
        public int? MsgType
        {
            get;
            set;
        }
        /// <summary>
        /// 指定消息处理人
        /// </summary>        
        public int? EmployeeId
        {
            get;
            set;
        }
        /// <summary>
        /// 指定消息处理部门
        /// </summary>        
        public int? DepartmentId
        {
            get;
            set;
        }
        /// <summary>
        /// 来源id  先只有订单id
        /// </summary>        
        public int? SourceId
        {
            get;
            set;
        }
        /// <summary>
        /// 来源类型  1销售，1-教学，3-留学与就业，4-行政
        /// </summary>        
        public int? SourceType
        {
            get;
            set;
        }
        /// <summary>
        /// 创建人
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
        /// <summary>
        /// 学校编号
        /// </summary>
        public int School_Id { get; set; }

        /// <summary>
        /// 集团编号
        /// </summary>
        public int Group_Id { get; set; }
    }
}
